<?php
///////////////////////////////
// Assign personal user data //
///////////////////////////////

// Get a new instance for personal data
$blockInstance = WebBlockHelper::createWebBlockHelper($this, 'persona_data');

// Set the data source instance which must exist in registry
$blockInstance->prefetchValueInstance('user');

// Assign fields with template variables
$blockInstance->assignField('username');
$blockInstance->assignFieldWithFilter('user_status', "user_status_translator");

// Shall we include registration date?
if ($blockInstance->ifIncludeRegistrationStamp()) {
	// Then assign it as well!
	$blockInstance->assignFieldWithFilter('registered', 'formatTimestamp');
} // END - if

// Flush the content out to a template variable
$blockInstance->flushContent();

// Get helper instance
$helper = WebLinkHelper::createWebLinkHelper($this, 'logout_action_link', 'index.php?app={?app_short_name?}&amp;page=login_area');

// Add action
$helper->addActionLink('logout', "Ausloggen");

// Flush the content
$helper->flushContent();

// End of all PHP commands
?>
<div id="content_header">
	Willkommen im Loginbereich zum {?app_full_name?}!
</div>

<div id="content_body">
	{?login_content?}
</div>

<div id="persona_data" title="Informationen zu Deinem Loginaccount">
	<div id="persona_header">
		Account-Infos:
	</div>

	<div id="persona_body">
		{?persona_data?}
	</div>

	<div id="logout_link">
		{?logout_action_link?}
	</div>
</div>
